> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quedup.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Job Runs

> List all the runs for a single job



## OpenAPI

````yaml openapi.json get /jobs/{id}/run
openapi: 3.1.0
info:
  description: QuedUp API Reference
  title: OpenAPI
  version: 0.0.1
servers:
  - description: Production server
    url: https://api.quedup.dev
security: []
tags:
  - name: Job
paths:
  /jobs/{id}/run:
    get:
      tags:
        - Job
      summary: List Job Runs
      description: List all the runs for a single job
      operationId: GET_/jobs/:id/run
      parameters:
        - description: Cursor
          in: query
          name: cursor
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListJobRunResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Internal Server Error
        default:
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    ListJobRunResponse:
      description: ListJobRunResponse schema
      properties:
        data:
          items:
            properties:
              attempt:
                format: int32
                type: integer
              completed_at:
                format: date-time
                nullable: true
                type: string
              duration_ms:
                format: int64
                nullable: true
                type: integer
              id:
                type: string
              response_body:
                type: string
              response_headers:
                type: string
              response_status_code:
                format: int32
                nullable: true
                type: integer
              run_at:
                format: date-time
                type: string
              status:
                type: string
              target_run_at:
                format: date-time
                type: string
            type: object
          type: array
        has_more:
          type: boolean
        next_cursor:
          format: int64
          type: integer
      type: object
    HTTPError:
      description: HTTPError schema
      properties:
        detail:
          description: Human readable error message
          nullable: true
          type: string
        errors:
          items:
            nullable: true
            properties:
              more:
                additionalProperties:
                  description: Additional information about the error
                  nullable: true
                description: Additional information about the error
                nullable: true
                type: object
              name:
                description: For example, name of the parameter that caused the error
                type: string
              reason:
                description: Human readable error message
                type: string
            type: object
          nullable: true
          type: array
        instance:
          nullable: true
          type: string
        status:
          description: HTTP status code
          example: 403
          nullable: true
          type: integer
        title:
          description: Short title of the error
          nullable: true
          type: string
        type:
          description: >-
            URL of the error type. Can be used to lookup the error in a
            documentation
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      scheme: bearer
      type: http

````